clear();
// Lecture des fichiers de sons
[h Feh ]=wavread('RI_MP.wav');
[x FeX ]=wavread('elephant.wav');
// Les fréquences d'échantillonnage sont-elles identiques?
if Feh~=FeX then
    disp('Les signaux doivent être échantillonnés à la même fréquence.');
else
    // Écoute de la réponse impulsionnelle du bâtiment
    messagebox('La réponse impulsionnelle d''un bâtiment','Son', '', 'OK', 'modal');
    playsnd(h,FeX);
    xpause(length(h)/2/FeX*1000000);
    // Écoute du cri d'un éléphant
    messagebox('Un cri d''éléphant','Son', '', 'OK', 'modal');
    playsnd(x,FeX);
    xpause(length(x)/2/FeX*1000000);
    messagebox('L''éléphant dans le bâtiment','Son', '', 'OK', 'modal');
    // Calcul du cri de l'éléphant
    y=convol(x(1,:),h(1,:));
    // Écoute du cri de l'éléphant dans le bâtiment
    playsnd(y/max(y),FeX)
end
